<?xml version="1.0" encoding="UTF-8"?>
<web-app id="WebApp_ID" version="2.4"
	xmlns="http://java.sun.com/xml/ns/j2ee"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
	<display-name>ULC Easy Deployment</display-name>
	<servlet>
		<description>
			supports version-based and pack200 download.
		</description>
		<servlet-name>ClientJarDownloader</servlet-name>
		<servlet-class>
			jnlp.sample.servlet.JnlpDownloadServlet
		</servlet-class>
	</servlet>
	<servlet>
		<description>
			serves images from the application resource bundles.
		</description>
		<servlet-name>ResourceDownloader</servlet-name>
		<servlet-class>
			com.ulcjava.easydeployment.server.ResourceDownloader
		</servlet-class>
	</servlet>
	<servlet>
		<description>
			dispatches to applet or jnlp client environment depending on
			application configuration.
		</description>
		<servlet-name>IndexServlet</servlet-name>
		<servlet-class>
			com.ulcjava.easydeployment.server.IndexServlet
		</servlet-class>
		<init-param>
			<param-name>applet-redirect</param-name>
			<param-value>sub.jsp</param-value>
		</init-param>
		<init-param>
			<param-name>jnlp-redirect</param-name>
			<param-value>sub.jnlp</param-value>
		</init-param>
	</servlet>
	<servlet>
		<description>
			creates the application jnlp file using the values from the
			application configuration and resource bundles.
		</description>
		<servlet-name>JNLPDownloader</servlet-name>
		<servlet-class>
			com.ulcjava.easydeployment.server.JNLPDownloader
		</servlet-class>
	</servlet>
	<servlet>
		<description>runs the ulc application</description>
		<servlet-name>ServletContainerAdapter</servlet-name>
		<servlet-class>
			com.ulcjava.container.servlet.server.ServletContainerAdapter
		</servlet-class>
	</servlet>
	<servlet>
		<description>
			delivers the client configuration data
		</description>
		<servlet-name>ConfigPropertiesDownloader</servlet-name>
		<servlet-class>
			com.ulcjava.container.servlet.server.servlets.ConfigPropertiesDownloader
		</servlet-class>
	</servlet>


	<mime-mapping>
		<extension>html</extension>
		<mime-type>text/html</mime-type>
	</mime-mapping>
	<mime-mapping>
		<extension>gif</extension>
		<mime-type>image/gif</mime-type>
	</mime-mapping>
	<mime-mapping>
		<extension>jpg</extension>
		<mime-type>image/jpeg</mime-type>
	</mime-mapping>
	<mime-mapping>
		<extension>png</extension>
		<mime-type>image/png</mime-type>
	</mime-mapping>
	<welcome-file-list>
		<welcome-file>start</welcome-file>
	</welcome-file-list>

	<servlet-mapping>
		<servlet-name>ClientJarDownloader</servlet-name>
		<url-pattern>*.jar</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>ResourceDownloader</servlet-name>
		<url-pattern>/com/softnet/resources/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>ConfigPropertiesDownloader</servlet-name>
		<url-pattern>/clientconfig.properties</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>JNLPDownloader</servlet-name>
		<url-pattern>/sub.jnlp</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>ServletContainerAdapter</servlet-name>
		<url-pattern>/ulc</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>IndexServlet</servlet-name>
		<url-pattern>/start</url-pattern>
	</servlet-mapping>

	
	<listener>
		<listener-class>
			com.ulcjava.easydeployment.server.ClientJarPreparationListener
		</listener-class>
	</listener>

	<session-config>
		<session-timeout>30</session-timeout>
	</session-config>
</web-app>
